<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header bg-danger">
          <i class="fa fa-align-justify"></i> Rules
        </div>
        <div class="card-body">
          <div class="m-3">
            <div class="container">
              <div class="row justify-content-md-center">
                <div class="col-sm-6 col-md-3 col-lg-3 my-1">
                  <button (click)="getAllRecords()" class="btn btn-warning btn-block" type="button">
                    <i aria-hidden="true" class="fa fa-refresh"></i>Actualizar</button>
                </div>
                <div class="col-sm-12 col-md-3 col-lg-3 my-1">
                  <button (click)="gotoAddRule()" class="btn btn-primary btn-block" type="button">
                    <i aria-hidden="true" class="fa fa-plus"></i>Agregar</button>
                </div>
              </div>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table table-sm table-bordered table-striped">
              <thead class="bg-aeroman-gray">
              <tr class="text-white">
                <th>ID</th>
                <th>Type Rule</th>
                <th>Source</th>
                <th>Table</th>
                <th>Field</th>
                <th>Cast</th>
                <th>Status</th>
                <th>Options</th>
              </tr>
              </thead>
              <tbody>
              <tr *ngFor="let element of this.records | paginate: configPage">
                <td>{{ element.ruleId }}</td>
                <td>{{ element.typeRuleHuman }}</td>
                <td>{{ element.tableInSource }}</td>
                <td>{{ element.tableInName }}</td>
                <td>{{ element.fieldInName }}</td>
                <td>{{ element.castName }}</td>
                <td>{{ element.status }}</td>
                <td class="text-center">
                  <i (click)="confirmation(element.ruleId, deleteModal)" class="fa fa-times fa-2x text-danger" title="Eliminar"></i>
                </td>
              </tr>
              </tbody>
            </table>
          </div>

          <div class="container">
            <div class="row justify-content-md-center">
              <div class="col-12 col-md-6" [hidden]="records.length === 0" >
                <pagination-controls
                  (pageChange)="onPageChange($event)"
                  [id]="configPage.id"
                  [nextLabel]="'Siguiente'"
                  [previousLabel]="'Anterior'">
                </pagination-controls>
              </div>
              <div class="col-12 col-md-6">
                <label class="control">Registros a mostrar:
                  <input [(ngModel)]="configPage.itemsPerPage" class="input" min="1" style="width: 25%; text-align: center;" type="number">
                </label>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/.col-->
  </div>
  <!--/.row-->
</div>

<ng-template #deleteModal>
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title">Confirmar</h5>
    </div>

    <div class="modal-body">
      <h4 class="text-center">Esta seguro de eliminar el registro?</h4>
    </div>

    <div class="modal-footer">
      <button (click)="delete()" class="btn btn-danger rounded" type="button">
        <i aria-hidden="true" class="fa fa-plus"></i>Aceptar</button>
      <button (click)="closeModal()" class="btn btn-info rounded" data-dismiss="modal" type="button">
        <i aria-hidden="true" class="fa fa-close"></i> Cancelar</button>
    </div>
  </div>
</ng-template>




